<?
if(isset($_GET['myfarm']) && isset($_GET['harvest']) && intval($_GET['harvest'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_ground` WHERE `id` = '".intval($_GET['harvest'])."' AND `id_user` = '$ku[id]' AND `id_plant` != '0'"),0)!=0)
{
$ground=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_ground` WHERE `id` = '".intval($_GET['harvest'])."' AND `id_user` = '$ku[id]' AND `id_plant` != '0'"));
$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant` WHERE `id` = '$ground[id_plant]'"));
if($ground['time']<=$time)
{
if($plant['id']==$gos['id_plant'] && isset($mc))
{
$harv=(isset($harvester_act)?$harvester_act/100:0);
$hawk=(isset($yastreb_act)?3:0);
$exp=$plant['time_soil']+($plant['time_soil']*$harv)+($plant['time_soil']*$hawk);
if($gos['type']=='harvest')$exp=$exp*2;
mysql_query("UPDATE `kolhoz_collective` SET `rating_gos` = '$mc[rating_gos]'+'$exp' WHERE `id`='$mc[id]'");
mysql_query("UPDATE `kolhoz_collective_user` SET `rating_gos` = '$mcu[rating_gos]'+'$exp' WHERE `id_user`='$ku[id]'");

//mysql_query("INSERT INTO `kolhoz_collective_rating_gos` SET `id_user` = '$ku[id]', `id_collective` = '$mc[id]', `count` = '$exp', `time` = '$time'");
}
$count=$plant['count'];
$count_harvester_act=0;
$count_yastreb_act=0;
$count_greenhouse_act=0;
if($ku['biowarehouse']>0)$biowarehouse=($count/100)*($ku['biowarehouse']*15); 
if($ku['talent_1']>0)$talent1=(($count/100)*($ku['talent_1']*5));

if(isset($harvester_act))$count_harvester_act=floor(($count/100)*$harvester_act);
if(isset($yastreb_act))$count_yastreb_act=(($count/100)*300);
if(isset($greenhouse_act))$count_greenhouse_act=(($count/100)*$greenhouse_ps);
$count=$count_harvester_act+$talent1+$biowarehouse+$count_yastreb_act+$count+$count_greenhouse_act;
$count=floor($count);
if($gos['id_plant']==$plant['id'] && $gos['type']=='harvest' && isset($mc))$count=$count*2;
if($pw=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND `id_plant` = '$plant[id]'")))
{
mysql_query("UPDATE `kolhoz_warehouse` SET `amount` = '".($pw['amount']+$count)."' WHERE `id` = '$pw[id]'");
}
else mysql_query("INSERT INTO `kolhoz_warehouse` SET `id_plant` = '$plant[id]', `id_user`  = '$ku[id]', `amount` = '$count'");
mysql_query("INSERT INTO `amount` SET  `id_user`  = '$ku[id]', `amount` = '$pw[amount]'");

$_SESSION['harvest']=$count;
mysql_query("UPDATE `kolhoz_user` SET `sadovod` = '".($ku['sadovod']+$count)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_ground` SET `id_plant` = '0', `soil` = '0', `cultivator` = '0' WHERE `id` = '".intval($_GET['harvest'])."' LIMIT 1");
header("Location:/myfarm/".passgen());
}
else header("Location:/myfarm/".passgen());
exit;
}
?>